Deployments
View as MarkdownPublish the latest code, list past deployments, and probe runtime status.
Authorization
bearerAuth Personal Access Token (PAT). Generate one at the developer portal. Pass as: Authorization: Bearer . Each operation requires a specific scope — select the scopes your integration needs when creating the token.
In: header
Path Parameters
Query Parameters
1 <= value <= 5020Response Body
application/json
application/json
curl -X GET "https://example.com/apps/string/deployments"{ "deployments": [ { "id": "string", "status": "pending", "gitHash": "string", "createdAt": "string", "updatedAt": "string", "errorMessage": "string" } ], "totalCount": 0, "hasMore": true}Authorization
bearerAuth Personal Access Token (PAT). Generate one at the developer portal. Pass as: Authorization: Bearer . Each operation requires a specific scope — select the scopes your integration needs when creating the token.
In: header
Path Parameters
Response Body
application/json
application/json
curl -X POST "https://example.com/apps/string/deployments"{ "deploymentId": "string", "status": "string", "commitHash": "string"}Authorization
bearerAuth Personal Access Token (PAT). Generate one at the developer portal. Pass as: Authorization: Bearer . Each operation requires a specific scope — select the scopes your integration needs when creating the token.
In: header
Path Parameters
Response Body
application/json
application/json
curl -X GET "https://example.com/apps/string/status"{ "appStatus": "string", "variants": [ { "variant": "string", "status": "string", "lifecycleState": "string" } ]}Agent & Automation Notes
hosting.paas.apps:read, hosting.paas.apps:create, hosting.paas.apps:update, hosting.paas.apps:delete, hosting.paas.code:write, hosting.paas.deploy:execute, hosting.paas.secrets:write, hosting.paas.logs:readRelated
Last updated on
How is this guide?